Re: [eclipse-clp-users] Precompile .eco files and version compatibility.

From: Joachim Schimpf <jschimpf_at_...311...>
Date: Tue, 27 Aug 2013 14:10:59 +0100
On 27/08/2013 12:57, Oreste.Bernardi@...368... wrote:
> Hi
>
> I have the following use case:
> Load and execute .eco files compiled with Eclipse 6.0 with Eclipse 6.1.
> Is it possible?  Are there any differences ?

We generally do not guarantee .eco compatibility across versions, but in this case your old .eco 
files from the 6.0 compiler should still load and execute correctly on version 6.1.

I would still recommend that you re-generate them, as there have been small changes to the 
compiler, so you may get slightly better code.


-- Joachim
Received on Tue Aug 27 2013 - 13:11:14 CEST

This archive was generated by hypermail 2.2.0 : Mon Jul 09 2018 - 02:05:30 CEST